Bug 6976 - [UPDATE REQUEST] NVidia drivers & Bumblebee 3.2.1-10
: [UPDATE REQUEST] NVidia drivers & Bumblebee 3.2.1-10
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Eugene Shatokhin
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-24 18:38 MSD by Vladimir Potapov
Modified: 2016-05-16 17:54 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2016-04-24 18:38:21 MSD
For new nvidia drivers bublebee work incorrect
http://forum.rosalab.ru/viewtopic.php?f=40&t=7010&p=69017#p68986
Comment 1 Eugene Shatokhin 2016-04-26 17:01:35 MSD
Advisory:
Bumblebee has been updated to version 3.2.1-8. Patches have been added to make sure "nvidia-modeset" and other auxiliary modules are automatically unloaded when appropriate.


Build lists:
i586: https://abf.io/build_lists/2636243
x86_64: https://abf.io/build_lists/2636244
Comment 2 Eugene Shatokhin 2016-04-27 12:15:50 MSD
Cancelling until it is clear what is going on on the users' systems.
Comment 3 Eugene Shatokhin 2016-05-05 16:27:48 MSD
It turned out, the problem was two-fold:

* Bumblebee did not unload the NVidia's modules in a right way.

* Our naming scheme for the NVidia's kernel modules was problematic too. It confused modprobe, so the latter did not unload some of the modules but reported no error.

The following update request should fix the issue in Bumblebee and also make the naming of the drivers (*.ko files) more natural.
Comment 4 Eugene Shatokhin 2016-05-05 16:53:28 MSD
Advisory:
Unloading of the NVidia drivers was fixed in Bumblebee. Besides that, the drivers were rebuilt so that the respective kernel modules have their original name, nvidia.ko, rather than nvidiaXYZ.ko. The older naming scheme confused modprobe, which was another reason Bumblebee could not unload the drivers.


Build lists:

bumblebee 3.2.1-10
i586:	https://abf.io/build_lists/2648766
x86_64:	https://abf.io/build_lists/2648767


nvidia361
i586:	https://abf.io/build_lists/2648967
x86_64:	https://abf.io/build_lists/2648968

nvidia-current
(we do not guarantee nvidia-current will work with bumblebee but the naming scheme of the kernel modules was fixed here too, for consistency)
i586:	https://abf.io/build_lists/2648965
x86_64:	https://abf.io/build_lists/2648966

nvidia340
i586:	https://abf.io/build_lists/2649003
x86_64:	https://abf.io/build_lists/2649004

nvidia304
i586:	https://abf.io/build_lists/2649005
x86_64:	https://abf.io/build_lists/2649006
Comment 5 Vladimir Potapov 2016-05-13 08:27:01 MSD
The update is sent to expanded testing
**************************************
Comment 6 Vladimir Potapov 2016-05-16 17:28:22 MSD
bumblebee-3.2.1-10
https://abf.io/build_lists/2648766
https://abf.io/build_lists/2648767

nvidia361-361.42-3
https://abf.io/build_lists/2648967
https://abf.io/build_lists/2648968

nvidia-current-364.15-3
https://abf.io/build_lists/2648965
https://abf.io/build_lists/2648966

nvidia340-340.96-5
https://abf.io/build_lists/2649003
https://abf.io/build_lists/2649004

nvidia304-304.131-5
https://abf.io/build_lists/2649005
https://abf.io/build_lists/2649006

************************* Advisory ***********************
Unloading of the NVidia drivers was fixed in Bumblebee. Besides that, the drivers were rebuilt so that the respective kernel modules have their original name, nvidia.ko, rather than nvidiaXYZ.ko. The older naming scheme confused modprobe, which was another reason Bumblebee could not unload the drivers.
*********************************************************
QA Verified